Subject: bug#74805: 30.0.92; Trying to build scratch/igc on Cygwin

From: Andrea Corallo <[email-masked]>
Date: Wed, 11 Dec 2024 18:57:49 -0500

Ken Brown <[email-masked]> writes:

> I've made a first attempt to port mps to Cygwin.  If anyone else is
> interested in seeing this or helping, you can find my work at
>
>   https://github.com/kbrow1i/mps-cygwin
>
> This is a fork of the mps git repo with two commits on top.
>
> With the current attempt, I can build the scratch/igc branch, but there
> are many test failures.  For example, when I run the process-tests, I
> get 19 failures and 8 skipped tests.  But on the master branch I get no
> failures and only 3 skipped.

Is the testsuite supposed to be clean on igc on supported platforms?
Last time I asked Gerd explained me it was still not the case but maybe
things evolved.

  Andrea